// Fichier : Nombre.h

enum TNB { t_aucun,t_int, t_float, t_double };

class Nombre
{
public:
	void lire_int();	// déclaration (prototype)
	void lire_float();	// prototype
	static Nombre lire_double(); // prototype

	Nombre()
	{ // constructeur qui initialise le nouvel objet
		t_nb=t_aucun;
	}

	Nombre(TNB type)
	{
		t_nb=type;
		switch(t_nb)
		{
		case t_int:
			val.nb_i=0;
			break;
		case t_float:
			val.nb_f=0;
			break;
		case t_double:
			val.nb_d=0;
			break;
		}
	}

	void afficher();

	char t_nb;
	union Valeur
	{
		int nb_i;
		float nb_f;
		double nb_d;
	} val ;
} ;
